Debian Bug report logs - #727078
ITP: libobject-container-perl -- simple object container

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Marius Gavrilescu <marius@ieval.ro>

Date: Tue, 22 Oct 2013 05:15:02 UTC

Owned by: Marius Gavrilescu <marius@ieval.ro>

Severity: wishlist

Fixed in version libobject-container-perl/0.14-1

Done: Marius Gavrilescu <marius@ieval.ro>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#727078; Package wnpp. (Tue, 22 Oct 2013 05:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marius Gavrilescu <marius@ieval.ro>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Tue, 22 Oct 2013 05:15:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marius Gavrilescu <marius@ieval.ro>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libobject-container-perl -- simple object container
Date: Tue, 22 Oct 2013 08:11:03 +0300
Package: wnpp
Owner: Marius Gavrilescu <marius@ieval.ro>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libobject-container-perl
  Version         : 0.14
  Upstream Author : Daisuke Murase <typester@cpan.org>
* URL             : https://metacpan.org/release/Object-Container
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : simple object container

This module is a object container interface which supports
both OO interface and Singleton interface.

If you want to use one module from several places, you might use
Class::Singleton to access the module from any places.
But you should subclass each modules to singletonize.

This module provide singleton container instead of module itself,
so it is easy to singleton multiple classes.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#727078; Package wnpp. (Tue, 22 Oct 2013 14:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marius Gavrilescu <marius@ieval.ro>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 22 Oct 2013 14:06:05 GMT) Full text and rfc822 format available.

Message #10 received at 727078@bugs.debian.org (full text, mbox):

From: Marius Gavrilescu <marius@ieval.ro>
To: Chris Bannister <cbannister@slingshot.co.nz>
Cc: 727078@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: Re: Bug#727078: ITP: libobject-container-perl -- simple object container
Date: Tue, 22 Oct 2013 17:03:45 +0300
[Message part 1 (text/plain, inline)]
Chris Bannister <cbannister@slingshot.co.nz> writes:

>> If you want to use one module from several places, you might use
>> Class::Singleton to access the module from any places.
>> But you should subclass each modules to singletonize.
>                                           ^^^^^^^^^^^^^
> 			Are neologisms acceptable?
>
>> This module provide singleton container instead of module itself,
>> so it is easy to singleton multiple classes.
>
> Is it easier to use a noun as a verb than explain it in plain English?

The description was simply copied from upstream. Suggestions are
welcome.
-- 
Marius Gavrilescu
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Marius Gavrilescu <marius@ieval.ro>:
Bug#727078; Package wnpp. (Tue, 22 Oct 2013 14:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Bannister <cbannister@slingshot.co.nz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Marius Gavrilescu <marius@ieval.ro>. (Tue, 22 Oct 2013 14:15:09 GMT) Full text and rfc822 format available.

Message #15 received at 727078@bugs.debian.org (full text, mbox):

From: Chris Bannister <cbannister@slingshot.co.nz>
To: Marius Gavrilescu <marius@ieval.ro>, 727078@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: Re: Bug#727078: ITP: libobject-container-perl -- simple object container
Date: Wed, 23 Oct 2013 02:58:00 +1300
On Tue, Oct 22, 2013 at 08:11:03AM +0300, Marius Gavrilescu wrote:
> Package: wnpp
> Owner: Marius Gavrilescu <marius@ieval.ro>
> Severity: wishlist
> X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org
> 
> * Package name    : libobject-container-perl
>   Version         : 0.14
>   Upstream Author : Daisuke Murase <typester@cpan.org>
> * URL             : https://metacpan.org/release/Object-Container
> * License         : Artistic or GPL-1+
>   Programming Lang: Perl
>   Description     : simple object container
> 
> This module is a object container interface which supports
> both OO interface and Singleton interface.
> 
> If you want to use one module from several places, you might use
> Class::Singleton to access the module from any places.
> But you should subclass each modules to singletonize.
                                          ^^^^^^^^^^^^^
			Are neologisms acceptable?

> This module provide singleton container instead of module itself,
> so it is easy to singleton multiple classes.

Is it easier to use a noun as a verb than explain it in plain English?

-- 
"If you're not careful, the newspapers will have you hating the people
who are being oppressed, and loving the people who are doing the 
oppressing." --- Malcolm X



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Marius Gavrilescu <marius@ieval.ro>:
Bug#727078; Package wnpp. (Tue, 22 Oct 2013 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <justin.byam.rye@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Marius Gavrilescu <marius@ieval.ro>. (Tue, 22 Oct 2013 17:33:05 GMT) Full text and rfc822 format available.

Message #20 received at 727078@bugs.debian.org (full text, mbox):

From: Justin B Rye <justin.byam.rye@gmail.com>
To: debian-l10n-english@lists.debian.org
Cc: Chris Bannister <cbannister@slingshot.co.nz>, 727078@bugs.debian.org
Subject: Re: Bug#727078: ITP: libobject-container-perl -- simple object container
Date: Tue, 22 Oct 2013 18:29:30 +0100
I'd love to be able to provide a version that's in grammatical
English, but I don't understand what it's trying to say well enough to
make it say it.

Chris Bannister wrote:
> Marius Gavrilescu wrote:
>>   Description     : simple object container
>> 
>> This module is a object container interface which supports

Wrong article (s/a/an/).

>> both OO interface and Singleton interface.

Missing article(s) and a confusing profusion of interfaces.

Aren't Singleton classes themselves necessarily OO?

(When should "singleton" get a capital S?)

>> If you want to use one module from several places, you might use

"Places" in what sense?  I don't understand the problem - what's
stopping me saying "use Foo" wherever necessary?

>> Class::Singleton to access the module from any places.

"Any places" should be... something different.  And this sentence
seems repetitive.  But I'm not sure what it's trying to say.  Why
would I want to use Class::Singleton to access a module?

>> But you should subclass each modules to singletonize.

"Each" should probably be followed by singular "module", but I can't
follow this.  Does it mean "in order to singletonize (something) you
should subclass each module"?  Or maybe "Each module which is to be
singletonized should be subclassed"?  Or "You should subclass each and
every module, so that singletonization occurs"?  Or... what?

>> This module provide singleton container instead of module itself,

Wrong agreement (provides), missing article(s).  But what is it trying
to say?  "This X provides a Y instead of X itself"?  My brain hurts.

>> so it is easy to singleton multiple classes.
> 
> Is it easier to use a noun as a verb than explain it in plain English?

It could at least have re-used "singletonize" instead of invoking it
as a one-off.
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#727078; Package wnpp. (Tue, 22 Oct 2013 18:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marius Gavrilescu <marius@ieval.ro>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 22 Oct 2013 18:03:07 GMT) Full text and rfc822 format available.

Message #25 received at 727078@bugs.debian.org (full text, mbox):

From: Marius Gavrilescu <marius@ieval.ro>
To: debian-l10n-english@lists.debian.org
Cc: Chris Bannister <cbannister@slingshot.co.nz>, 727078@bugs.debian.org
Subject: Re: Bug#727078: ITP: libobject-container-perl -- simple object container
Date: Tue, 22 Oct 2013 20:57:50 +0300
[Message part 1 (text/plain, inline)]
Justin B Rye <justin.byam.rye@gmail.com> writes:

> I'd love to be able to provide a version that's in grammatical
> English, but I don't understand what it's trying to say well enough to
> make it say it.

And this is why I copied upstream's description instead of trying to
write an english one. Perhaps it would be easier to ask
debian-japanese@l.d.o to translate [0].

That being said, I read the rest of the documentation and the code
examples and it looks like this module is a glorified hash from class
names to objects of that class. If you want to have a single instance
of, for example, WWW::Mechanize in many different files/functions/etc,
you do C<Object::Container->register('WWW::Mechanize')> somewhere and then
you can retrieve that instance of WWW::Mechanize from anywhere else with
C<Object::Container->get('WWW::Mechanize')>.

The description compares this module to Class::Singleton, which is also
used to make singletons out of classes. To use Class::Singleton, you
subclass it and it gives you a nice C<instance> method that returns the
single instance.

A better long description might be:
# This module is an object container with an OO interface. It is used to
# make singletons out of ordinary classes.
# .
# Class::Singleton is a similar module, which makes subclasses
# singletons. Unlike Class::Singleton, Object::Container can make any
# class a singleton.
# .
# Object::Registrar is another similar module, but it does not support
# lazy loading

[0]: https://metacpan.org/module/TYPESTER/Object-Container-0.14/lib/Object/Container/ja.pod
-- 
Marius Gavrilescu
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Marius Gavrilescu <marius@ieval.ro>:
Bug#727078; Package wnpp. (Wed, 23 Oct 2013 00:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Bannister <cbannister@slingshot.co.nz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Marius Gavrilescu <marius@ieval.ro>. (Wed, 23 Oct 2013 00:27:04 GMT) Full text and rfc822 format available.

Message #30 received at 727078@bugs.debian.org (full text, mbox):

From: Chris Bannister <cbannister@slingshot.co.nz>
To: Marius Gavrilescu <marius@ieval.ro>, 727078@bugs.debian.org
Cc: debian-l10n-english@lists.debian.org
Subject: Re: Bug#727078: ITP: libobject-container-perl -- simple object container
Date: Wed, 23 Oct 2013 13:23:59 +1300
On Tue, Oct 22, 2013 at 08:57:50PM +0300, Marius Gavrilescu wrote:
> Justin B Rye <justin.byam.rye@gmail.com> writes:
> 
> > I'd love to be able to provide a version that's in grammatical
> > English, but I don't understand what it's trying to say well enough to
> > make it say it.
> 
> And this is why I copied upstream's description instead of trying to
> write an english one. Perhaps it would be easier to ask
> debian-japanese@l.d.o to translate [0].
> 
> That being said, I read the rest of the documentation and the code
> examples and it looks like this module is a glorified hash from class
> names to objects of that class. If you want to have a single instance
> of, for example, WWW::Mechanize in many different files/functions/etc,
> you do C<Object::Container->register('WWW::Mechanize')> somewhere and then
> you can retrieve that instance of WWW::Mechanize from anywhere else with
> C<Object::Container->get('WWW::Mechanize')>.

Now THAT is a better explanation, why not put that in the long
description? It also doesn't use that horrible term 'singletonize' :)

-- 
"If you're not careful, the newspapers will have you hating the people
who are being oppressed, and loving the people who are doing the 
oppressing." --- Malcolm X



Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 23 Oct 2013 19:39:31 GMT) Full text and rfc822 format available.

Reply sent to Marius Gavrilescu <marius@ieval.ro>:
You have taken responsibility. (Sat, 23 Nov 2013 16:03:09 GMT) Full text and rfc822 format available.

Notification sent to Marius Gavrilescu <marius@ieval.ro>:
Bug acknowledged by developer. (Sat, 23 Nov 2013 16:03:09 GMT) Full text and rfc822 format available.

Message #37 received at 727078-close@bugs.debian.org (full text, mbox):

From: Marius Gavrilescu <marius@ieval.ro>
To: 727078-close@bugs.debian.org
Subject: Bug#727078: fixed in libobject-container-perl 0.14-1
Date: Sat, 23 Nov 2013 16:00:08 +0000
Source: libobject-container-perl
Source-Version: 0.14-1

We believe that the bug you reported is fixed in the latest version of
libobject-container-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 727078@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marius Gavrilescu <marius@ieval.ro> (supplier of updated libobject-container-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 23 Oct 2013 22:33:31 +0300
Source: libobject-container-perl
Binary: libobject-container-perl
Architecture: source all
Version: 0.14-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Marius Gavrilescu <marius@ieval.ro>
Description: 
 libobject-container-perl - module that provides a simple object container
Closes: 727078
Changes: 
 libobject-container-perl (0.14-1) unstable; urgency=low
 .
   * Initial Release (Closes: #727078).
Checksums-Sha1: 
 838e7ab8d989c67ef378a77a85e14a5260fdab3e 2205 libobject-container-perl_0.14-1.dsc
 46f63d130e8afffaf78f5b99b5c454fc57f92eb6 61530 libobject-container-perl_0.14.orig.tar.gz
 8fefbccbdb6e8ec86e9db80c74581894241a7bc7 1993 libobject-container-perl_0.14-1.debian.tar.gz
 749763bfedb5a91b13b32bc6b48c9b8cf7027a95 20400 libobject-container-perl_0.14-1_all.deb
Checksums-Sha256: 
 bbdbfcf40af30de876337c907ba290501d030fff522a0e06251ec8b90cbf7338 2205 libobject-container-perl_0.14-1.dsc
 e95a4accc1e4df036f1fb2bdcca78ab94397e4c6805c3227cd02d89ed109bc82 61530 libobject-container-perl_0.14.orig.tar.gz
 0cf55028680859272d0d86e22f621edd70400a84e571a8632f0e2a7ee6f92f97 1993 libobject-container-perl_0.14-1.debian.tar.gz
 b5594ebae68fbc3fbdc78b783d9324fa47df99c0884f9abcba5287f4957a8524 20400 libobject-container-perl_0.14-1_all.deb
Files: 
 9afb5b5aee93b0868d21d266f3d17be6 2205 perl optional libobject-container-perl_0.14-1.dsc
 546335ec8a3b53aa0813a644d2f1f406 61530 perl optional libobject-container-perl_0.14.orig.tar.gz
 b7633948835148c67df25c26e881b494 1993 perl optional libobject-container-perl_0.14-1.debian.tar.gz
 ec615b8b5d7b4b1b413e7f7ae7150c57 20400 perl optional libobject-container-perl_0.14-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSaCWdAAoJELs6aAGGSaoGPUIP/3BTRz0PI8WaTZ7Rsy6z0rW9
WfFOa9qm0Wn3IIEY2HXq6c+sfncN+NyLS9DEJgfoJ38GUFAFPfexW2MVScBggNho
kyzEBQTOLDtAwI+PrMDQfxFihrPAPOH9lLD2921mN0tRRa6lUiieowgH60Vrsumh
CqTmEZnuRAymMAi5Berfku1v5lDrdXGtbx20Qsg8d/PjW5sBs1WO/qgokQHeJcn+
7haFiPemRAQTNMgr0Ff8WuLc8v7bDYZ+wtFOvQW29v68uuz5SuPnaxiov0Vlrj0S
mDEpULUEP7dZB/iy67cPeBE+qs7tuwUBsWgGaJ2dNPCpiytGXdwW09dlG83SDOrC
EebPusaazHdpyXXEHzw3kg+hukbjgRHGB6G43Kz6Jdy+HfnST4Kb20IfJmIjXybe
yqptKrB9gTYiSIiF3bdAI3cR8xTYcDQeRPFCUNRupQTsu+WfRI9/fXPjLUDpZLzb
h0YDuAGSMf10zuqgDgSrsyrYypKVXw6rJffmSaKDKtaV/EGAvKmSl807rAnELGur
b8DtX3srWqqmLgtUjSbd3k7+Rqa43sekEAcxytmO8FDhCoGgWVqMcP8ZVHVdnkm0
UMKl+Paof+6awVBe/OVgt35BmLbElZxjf3u9kmYRGTPP+cTds9XTrRU9P33+i+O/
OrkiMtNxSOOFR337wLu9
=JtE/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Dec 2013 07:30:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:50:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.